# H245_NewATMVCIndication_aal Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_aal1, e_aal5 }

## Public Member Functions

| H245_NewATMVCIndication_aal (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NewATMVCIndication_aal_aal1 & ()
| operator const H245_NewATMVCIndication_aal_aal1 & () const
| operator H245_NewATMVCIndication_aal_aal5 & ()
| operator const H245_NewATMVCIndication_aal_aal5 & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_NewATMVCIndication_aal::Choices

Enumerator:

  e_aal1 |
  e_aal5 |

## Constructor & Destructor Documentation

H245_NewATMVCIndication_aal::H245_NewATMVCIndication_aal | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_NewATMVCIndication_aal::operator H245_NewATMVCIndication_aal_aal1 & | ( |  | ) |

H245_NewATMVCIndication_aal::operator const H245_NewATMVCIndication_aal_aal1 & | ( |  | ) | const

H245_NewATMVCIndication_aal::operator H245_NewATMVCIndication_aal_aal5 & | ( |  | ) |

H245_NewATMVCIndication_aal::operator const H245_NewATMVCIndication_aal_aal5 & | ( |  | ) | const

PBoolean H245_NewATMVCIndication_aal::CreateObject | ( |  | ) |

PObject* H245_NewATMVCIndication_aal::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h